package com.xinyilu.system.service.parentInfo;

import com.xinyilu.common.core.domain.AjaxResult;
import com.xinyilu.common.core.page.TableDataInfo;
import com.xinyilu.system.domain.parentInfo.ParentInfo;
import com.xinyilu.system.domain.vo.ParentInfoVO;


/**
 * 家长信息Service接口
 *
 * @author jihan
 * @date 2022-07-29
 */
public interface IParentInfoService {
    /**
     * 查询家长信息
     *
     * @param id 家长信息主键
     * @return 家长信息
     */
    public ParentInfo selectParentInfoById(Long id);

    /**
     * 查询家长信息列表
     *
     * @param parentInfo 家长信息
     * @return 家长信息集合
     */
    public TableDataInfo selectParentInfoList(ParentInfoVO parentInfo);

    /**
     * 新增家长信息
     *
     * @param parentInfo 家长信息
     * @return 结果
     */
    public AjaxResult insertParentInfo(ParentInfo parentInfo);

    /**
     * 修改家长信息
     *
     * @param parentInfo 家长信息
     * @return 结果
     */
    public AjaxResult updateParentInfo(ParentInfo parentInfo);

    /**
     * 批量删除家长信息
     *
     * @param ids 需要删除的家长信息主键集合
     * @return 结果
     */
    public int deleteParentInfoByIds(Long[] ids);

    /**
     * 删除家长信息信息
     *
     * @param id 家长信息主键
     * @return 结果
     */
    public int deleteParentInfoById(Long id);

    /**
     * 批量逻辑删除家长信息
     *
     * @param ids 需要删除的家长信息主键集合
     * @return 结果
     */
    int updateParentInfoByIds(Long[] ids);
}
